Bug 1298956 - "monstartup: out of memory" on PPC64LE [rhel-7.2.z]
Summary: "monstartup: out of memory" on PPC64LE [rhel-7.2.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: glibc
Version: 7.2
Hardware: ppc64le
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Carlos O'Donell
QA Contact: Arjun Shankar
URL:
Whiteboard:
Depends On: 1249102
Blocks: 1281454
TreeView+ depends on / blocked
 
Reported: 2016-01-15 13:58 UTC by Libor Miksik
Modified: 2019-08-15 05:54 UTC (History)
15 users (show)

Fixed In Version: glibc-2.17-106.el7.3
Doc Type: Bug Fix
Doc Text:
On the little-endian variant of 64-bit IBM Power Systems (ppc64le), a bug in the dynamic loader could cause applications compiled with profiling enabled to fail to start with the error "monstartup: out of memory". The bug has been corrected and applications compiled for profiling now start correctly.
Clone Of: 1249102
Environment:
Last Closed: 2016-02-16 15:42:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0176 normal SHIPPED_LIVE Critical: glibc security and bug fix update 2016-02-16 20:39:10 UTC
Sourceware 17213 None None None 2019-03-28 10:23:27 UTC
IBM Linux Technology Center 135436 None None None 2019-03-28 10:23:29 UTC
Launchpad 1402726 None None None 2016-01-15 13:58:21 UTC

Description Libor Miksik 2016-01-15 13:58:10 UTC
This bug has been copied from bug #1249102 and has been proposed
to be backported to 7.2 z-stream (EUS).

Comment 3 Carlos O'Donell 2016-01-15 15:27:04 UTC
Fixed in rhel-7.2.z.

Comment 7 errata-xmlrpc 2016-02-16 15:42:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-0176.html


Note You need to log in before you can comment on or make changes to this bug.